#declare portas_abiertas=1
#declare velas=1
#declare luces=1
#include "galeon.inc"

#declare rotacion=-126
#declare compuertas_abiertas=0
#declare disparo=3500
#include "..\sub_mk2\ssb_mk2.inc"

object {galeon scale 2 translate <0,0,3000>}
object {ssb_mk2 rotate y*35}

sphere {0,1 hollow pigment {rgbt 1}
       halo { linear emitting turbulence .75 jitter 1 color_map {[0 rgbt <2,0,0,1>]
             [.1 rgbt <2,2,0,.5>][.25 rgb <.5,.5,0>][.5 rgbt <1,0,0,1>][1 rgb 2]} }
       scale 100 scale <2,4,2> translate <0,121,3000>}
light_source {<0,41,2870> rgb <2,1,0> fade_distance 75 fade_power 2}

#ifndef (luces)
 light_source {<-40,400,-140> rgb 1.5 }
 light_source {<-100,-10,-140> rgb .75 shadowless }
 light_source {<100,-50,-140> rgb .75 shadowless }
#else
 light_source {<-40,400,-140> blue .75 shadowless}
#end

camera {location <260,50,-400> look_at <120,50,0> angle 40} // orthographic}

sphere //cielo
{
 y*-6000005,6001000
 hollow
 pigment
 {
  bozo
  turbulence .5
  color_map
  {
   [0 rgb .95]
   [.001 rgb 1]
   [.2 blue .9]
   [.9 blue .9]
   [.999 rgb 1]
   [1 rgb .95]
  }
  scale 800
  scale <2,1,1>
 }
 #ifndef (luces)
  finish { ambient 1}
 #else
  finish { ambient .3}
 #end
}

sphere //agua
{
 y*-6000005,6000000
 pigment { rgb <.26,.26,1> }
 finish
 {
  #ifndef (luces)
   ambient 1
  #else
   ambient .3
  #end
  specular 1 reflection .1
  roughness 0.0005 fade_distance 100 fade_power 1
 }
 normal { bumps 1 bump_size .5 scale 2.5 }
}

#ifndef (luces)
 fog {  fog_type 1  distance 60000  color rgb 1 transmit .05 }
#else
 fog {  fog_type 1  distance 60000  color blue .2 transmit .05 }
#end

